Mtext settings

Discussion in 'AutoCAD' started by Nate Hunter, Dec 23, 2003.

  1. Nate Hunter

    Nate Hunter Guest

    Is there a way to access the Mtext settings through lsp. I am paritcally
    interested in the underline feature in the mtext editor and the number of
    points.

    Any help would be great thanks.
     
    Nate Hunter, Dec 23, 2003
    #1
  2. Nate Hunter

    Jeff Mishler Guest

    Not necessarily. You can create underlined text, using \L and \l such as:
    (defun test (txt2uline / txt txtstr txtpos newtxt)
    (setq txt (vlax-ename->vla-object (car (entsel "\nSelect text: ")))
    txtstr (vla-get-textstring txt)
    txtpos (vl-string-search txt2uline txtstr 0)
    newtxt (strcat (substr txtstr 1 txtpos)
    "\\L" (substr txtstr (1+ txtpos)(strlen txt2uline))
    "\\l" (substr txtstr (+ (1+ txtpos)(strlen txt2uline))))
    )
    (vla-put-textstring txt newtxt)
    )

    See the AciveX and VBA Customization Guide for a list of all the codes that
    can be used. I'm not sure what Nate meant by "points".....if he meant the
    text height, that can be altered also.

    Jeff
     
    Jeff Mishler, Dec 23, 2003
    #2
  3. Nate Hunter

    Nate Hunter Guest

    I sorry I should of clarified the points. I am using a quick leader and I
    would like to make sure my user only uses 3 points to draw the leader line.


     
    Nate Hunter, Dec 23, 2003
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.